commit: 5a37c1bee7e05f0db00a2b341490f41323b22aa9
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 18 21:27:15 2015 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov 28 19:09:06 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a37c1be
python-r1.eclass: Ban python_parallel_foreach_impl in EAPI 6
eclass/python-r1.eclass | 2 ++
1 file changed, 2 insertions(+)
diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index d3b4f1d..1531442 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -526,6 +526,8 @@ python_foreach_impl() {
python_parallel_foreach_impl() {
debug-print-function ${FUNCNAME} "${@}"
+ [[ ${EAPI} == [45] ]] || die "${FUNCNAME} is banned in EAPI ${EAPI}"
+
if [[ ! ${_PYTHON_PARALLEL_WARNED} ]]; then
eqawarn "python_parallel_foreach_impl() is no longer
meaningful. All runs"
eqawarn "are non-parallel now. Please replace the call with
python_foreach_impl."